aboutsummaryrefslogtreecommitdiffstats
path: root/community/qt5-qtwebkit/APKBUILD
blob: d02ca4cd5405a5bec5dd9f9dc7573dd17de602d2 (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=qt5-qtwebkit
pkgver=5.9.1
pkgrel=7
pkgdesc="Qt5 - QtWebKit components"
url="http://qt-project.org/"
arch="all"
license="LGPL-2.0 with exceptions or GPL-3.0 with exceptions"
depends=""
depends_dev="qt5-qtdeclarative-dev gstreamer-dev gst-plugins-base-dev
	libxslt-dev mesa-dev icu-dev libxext-dev glib-dev libxcomposite-dev
	libxrender-dev
	"
makedepends="$depends_dev
	bison
	flex
	fontconfig-dev
	gperf
	libjpeg-turbo-dev
	libpng-dev
	libwebp-dev
	pcre-dev
	qt5-qtbase-dev
	ruby
	sqlite-dev
	zlib-dev
	python2
	"
subpackages="$pkgname-dev"

_ver=${pkgver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
_V=${_ver/rc/RC}
case $pkgver in
*_beta*|*_rc*) _rel=development_releases;;
*) _rel=official_releases;;
esac

source="http://download.qt-project.org/$_rel/qt/${pkgver%.*}/$_ver/submodules/qtwebkit-opensource-src-$_V.tar.xz
	pic.patch
	fix-rpath.patch
	fix-execinfo.patch
	0001-Add-ARM-64-support.patch
	qt5.12.patch
	"
builddir="$srcdir"/qtwebkit-opensource-src-$_V

prepare() {
	default_prepare || return 1  # apply patches
	# remove some bundled
	mkdir Source/ThirdParty/orig
	mv Source/ThirdParty/gtest/ \
		Source/ThirdParty/qunit/ \
		Source/ThirdParty/orig/ \
		|| return 1
	syncqt-qt5.pl -version $_V Source/sync.profile || return 1
}

build() {
	cd "$builddir"
	qmake-qt5 || return 1

	# /usr/include/fortify/stdlib.h:20:25: fatal error: stdlib.h: No such file or directory
	# see: http://stackoverflow.com/questions/37218953/isystem-on-a-system-include-directory-causes-errors
	# see: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=71090
	# see: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
	qmake-qt5 Source/JavaScriptCore/LLIntOffsetsExtractor.pro -o \
		Source/JavaScriptCore/Makefile.LLIntOffsetsExtractor || return 1
	sed -i 's:-isystem /usr/include ::' \
		Source/JavaScriptCore/Makefile.LLIntOffsetsExtractor || return 1

	make || return 1
}

package() {
	cd "$builddir"
	make install INSTALL_ROOT="$pkgdir" || return 1
	# remove rpath
#	chrpath --delete "$pkgdir"/usr/lib/qt5/libexec/* || return 1
	sed -i -e 's:-L/home[^ ]\+::g' "$pkgdir"/usr/lib/pkgconfig/*.pc
}

sha512sums="79316ab746a230fdb290e28629d7cec5fca75119ba8868060742c682ab86490de9ffd8e517569aa7412f35fd709568dbb5f7d2d467bdb4461e192f8b05d6f1e5  qtwebkit-opensource-src-5.9.1.tar.xz
9a62a5e7af91c44311b517608262f88b5bc607e75dc5878dd08b0a0872ec03fb7a566df0a41413f7e60beb1b9880e24f084b90c38ed50d4219ec2ad6af9bd62f  pic.patch
00d59c0cdb58ae8e7cf6bc3d03f133697e74c267ccebe12238bcdc274d4c90210b82c2d8bdf0e949cd43da13a4fd8a4c35fb54a00ed5102a4ac4d23aa002d0fe  fix-rpath.patch
f17c2f4b90090c8f12e4ba1f2cbd7a9f496c8de024ba6e0d55b98e5b89ab89298aff84f39e81905e0491fe6bd11544633a8b191403a866e16ed654d44cf8dc6f  fix-execinfo.patch
af5097d44f73de156ca31a5423136301dfc12ae693e20c4702bf3f1c6e16395f3912e9268582480ba3177021f37d4cae3b84d4b23eeb063fdc40f2444d3b34c8  0001-Add-ARM-64-support.patch
5e056bc410892dee53825b191d227a669bba75579bdcf20a671afc063200a6dfd8348dff65f3560a3a9726c07b627be3ba9ac151b05d9bc6535da7d7669018f8  qt5.12.patch"